fullcost.hh File Reference
`#include <mia/2d/transform.hh>`
Include dependency graph for 2d/fullcost.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef TFullCostPlugin< C2DTransformation > | C2DFullCostPlugin
| Plug-in type for 2D full cost plug-ins.
typedef THandlerSingleton< TFactoryPluginHandler< C2DFullCostPlugin > > | C2DFullCostPluginHandler
| plugin-handler for the full-cost plug-ins
typedef C2DFullCost::Pointer | P2DFullCost
| Pointer type for the full-cost function types.

## Functions

P2DFullCost | produce_2dfullcost (const std::string &descr)

## Variables

NS_MIA_BEGIN typedef TFullCost< C2DTransformation > | C2DFullCost
| Base class for the full cost functions.

## Typedef Documentation

## C2DFullCostPlugin

typedef TFullCostPlugin<C2DTransformation> C2DFullCostPlugin

Plug-in type for 2D full cost plug-ins.

Definition at line 43 of file 2d/fullcost.hh.

## C2DFullCostPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C2DFullCostPlugin> > C2DFullCostPluginHandler

plugin-handler for the full-cost plug-ins

Definition at line 46 of file 2d/fullcost.hh.

## P2DFullCost

typedef C2DFullCost::Pointer P2DFullCost

Pointer type for the full-cost function types.

Definition at line 40 of file 2d/fullcost.hh.

## Function Documentation

## produce_2dfullcost()

P2DFullCost produce_2dfullcost | ( | const std::string & | descr | ) |

inline

Function to create a full-cost object from a string description

Parameters

  descr |

Returns
  the full-cost object

Definition at line 54 of file 2d/fullcost.hh.

References THandlerSingleton< TFactoryPluginHandler< C2DFullCostPlugin > >::instance().